#include <stdio.h>

int main()
{
  float shot[10000], rec[10000], refstat;
  int count, first, last, ninc, station, flag;
  FILE *in, *out;
  char inbuf[120], buffer[120];

  first = 1010;       /* FIRST STATION */
  last = 12020;        /* LAST STATION */
  ninc = 10;           /* MULTIPLIER  */
  flag = 0;
  if ((in = fopen("snorcle1.sta","rt")) == NULL) {        /* INPUT FILENAME */
    printf("Error in opening file for reading.\n");
    exit(0); }
  if ((out = fopen("snorcle1.ref","wt")) == NULL) {       /* OUTPUT FILENAME */
    printf("Error in opening file for writing.\n");
    exit(0); }
  for (count = 0; count < 10000; count++) {
    shot[count] = 0;
    rec[count] = 0; }
  fgets (inbuf, 120, in);
  fgets (inbuf, 120, in);
  fgets (inbuf, 120, in);
  fgets (inbuf, 120, in);
  fgets (inbuf, 120, in);
  fprintf (out, "%d   %d   %d\n0  0\n", first, last, ninc);
  while (!feof(in)) {
    fgets (inbuf, 120, in);
    count = sscanf (inbuf, "%s%d%f", buffer, &station, &refstat);
    if (count != 3) {
      fgets (inbuf, 120, in);
      fgets (inbuf, 120, in);
      fgets (inbuf, 120, in);
      flag = 1; }
    else {
      refstat = refstat/1000;
      station = (int)((station-first)/ninc);
      if (flag == 0) {
	shot[station] = refstat; }
      else {
	rec[station] = refstat; }}}
  flag = (int)((last-first)/ninc);
  for (count = 0; count <= flag; count++) {
    fprintf (out, "%d  %2.3f  %2.3f  \n", count*ninc+first, shot[count], rec[count]); }
  fclose (in);
  fclose (out);
  exit (0); }

