#include <stdio.h>

int main()
{
  double c1, c2, c3, c4, c5, c6;
  int count, nshots, ntr, ntrmax, trace;
  FILE *in, *out;
  char inbuf[120];
  
  nshots = 699;                        /* NUMBER OF SHOTS */
  ntr = 404;                           /* TRACES PER SHOT */
  ntrmax = 0;
  if ((in = fopen("PHED.LIS","rt")) == NULL) {
    printf("Error in opening file for reading.\n");
    exit(0); }
  if ((out = fopen("snorcle_y11.geo","wt")) == NULL) {         /* OUTPUT FILENAME */
    printf("Error in opening file for writing.\n");
    exit(0); }
  fprintf (out, "LINE\t%d\t%d\n", nshots, ntr);
  nshots = 0;
  while (!feof(in)) {
    fgets (inbuf, 120, in);
    count = sscanf (inbuf, "%lf%lf%lf%lf%lf%lf", &c1, &c2, &c3, &c4, &c5, &c6);
    if (count == 6) {
      nshots++;
      trace = 0;
      fprintf (out, "SHOT\t%5.0lf\t%7.1lf\t%7.1lf\t%7.1lf\t\t%2.1lf\t%2.1lf\n", c1, c2, c3, c4, c5, c6); }
    if (count == 5) {
      c5 *= 1000;
      trace++;
      if (ntrmax < trace) {
	ntrmax = trace; }
      fprintf (out, "TRACE\t%5.0lf\t%7.1lf\t%7.1lf\t%7.1lf\t%4.0lf\n", c1, c2, c3, c4, c5, c6); }}
  printf ("%d  shots encountered.\n", nshots);
  printf ("Max number of traces per shot: %d\n", ntrmax);
  fclose (in);
  fclose (out);
  exit (0); }
