#include <stdio.h>
#define BUFLEN 120

int main()
{
  FILE *in, *out;
  char buffer[BUFLEN], junk[BUFLEN];
  int seq, file, traces;
  int rec1, rec2, prevtr, prevseq, flag;

  if ((in = fopen("PHED.LIS","rt")) == NULL) {
    printf("Error in opening file for reading.\n");
    exit(0); }
  if ((out = fopen("diversity.com","wt")) == NULL) {
    printf("Error in opening file for writing.\n");
    exit(0); }
  fprintf (out, "open 1 1 '/home/fire2/arie/snorcle3.unst'\n");
  fprintf (out, "setf 1 1 0.0 32.0 0.004\n");
  fprintf (out, "open 2 2 '/home/fire4/arie/snorcle3.div'\n\n");
  flag = 0;
  prevseq = 0;
  do {
    fgets (buffer, BUFLEN, in);
    sscanf (buffer, "%d%d%d", &seq, &traces, &file);
    if (flag == 0) {
      rec1 = seq;
      prevtr = traces; }
    if (prevtr != traces) {
      rec2 = prevseq;
      if (((rec2-rec1) != 3) && ((rec2-rec1) != 4)) {
	printf ("WARNING: number of records not equal to 3 or 4.\n"); }
      fprintf (out, "open 3 3 'temp'\n");
      fprintf (out, "srti 1 8 1 99999 %d %d 'r'\n", rec1, rec2);
      fprintf (out, "bsec s\n");
      fprintf (out, "gets 1 0 1 405 0.032 32.032\n");
      fprintf (out, "bulk -0.032\n");
      fprintf (out, "stk2 4.0\n");
      fprintf (out, "putr 3 0\n");
      fprintf (out, "esec\n");
      fprintf (out, "posn 3 1 'r'\n");
      fprintf (out, "getg 3 0 1 405 0.0 32.0\n");
      fprintf (out, "putr 2 0\n");
      fprintf (out, "clos 3 3\n\n");
      flag = 0; }
    else {
      flag = 1; }
    prevtr = traces;
    prevseq = seq; }
  while (!feof(in));
  fclose(in);
  fprintf (out, "clos 1 1\n");
  fprintf (out, "clos 2 2\n");
  fprintf (out, "open 1 1 '/home/fire3/arie/snorcle4.div'\n");
  fprintf (out, "open 2 2 '/home/fire3/arie/snorcle4.dat'\n");
  fprintf (out, "bsec 999\n");
  fprintf (out, "open 3 1 'taper2.dat'\n");
  fprintf (out, "setf 1 1 0.0 32.0 0.004\n");
  fprintf (out, "open 4 2 'temp'\n");
  fprintf (out, "getr 1 0\n");
  fprintf (out, "shed 6 1 1 1 1 0 't'\n");
  fprintf (out, "putr 4 0\n");
  fprintf (out, "posn 4 1 'r'\n");
  fprintf (out, "getr 4 1 2 999\n");
  fprintf (out, "trak\n");
  fprintf (out, "mulr 3 1 1 999 0.0 32.0\n");
  fprintf (out, "ccor 4 1 1 1 0.0 20.0 0.0 32.0 't'\n");
  fprintf (out, "shed 8 1 999 1 1 1 't'\n");
  fprintf (out, "putr 2 0 1 999\n");
  fprintf (out, "clos 3 1\n");
  fprintf (out, "clos 4 2\n");
  fprintf (out, "esec\n");
  fprintf (out, "clos 1 1\n");
  fprintf (out, "clos 2 2\n");
  fprintf (out, "end\n");
  fclose(out);
  exit (0); }
