#include <stdio.h>
#include <string.h>
#include <math.h>
#define BUFLEN 120

int main()
{
  FILE *in, *out;
  char buffer[BUFLEN], junk[BUFLEN], word1[BUFLEN], word2[BUFLEN], word3[BUFLEN];
  int count1, count2, id, reel, file, stat1, stat2;
  int unstacked, skip;
  float line, station;

  if ((in = fopen("0911daob","rt")) == NULL) {
    printf("Error in opening file for reading.\n");
    exit(0); }
  if ((out = fopen("missing.obs","wt")) == NULL) {
    printf("Error in opening file for writing.\n");
    exit(0); }
  count1 = 1;
  unstacked = 0;
  do {
    fgets (buffer, BUFLEN, in);
    count2 = sscanf (buffer, "%d%d%d%f%f%2s%d%1s%d%s%s%s%s", &id, &reel, &file, &line, &station, junk, &stat1, junk, &stat2, junk, word1, word2, word3);
    if (count2 != 13) {
      printf ("Error: insufficient entries on line %d\n", count1);
      exit (0); }
    stat1 *= 10;
    stat2 *= 10;
    skip = 0;
    if (strcmp(word3, "CORREL") == 0) {
      skip = 1;
      unstacked = 0; }
    if ((strcmp(word3, "NONE") == 0) && (unstacked == 1)) {
      skip = 1; }
    if (strcmp(word3, "NONE") == 0) {
      unstacked = 1; }
    if (strcmp(word3, "STACK") == 0) {
      unstacked = 0; }
    printf ("%d %d %d\n", strcmp(word3, "CORREL"), skip, unstacked);
    if (skip == 0) {
      if ((station-floor(station)) == 0) {
	station *= 10;
	fprintf (out, "%d  %d  %6.0f  %d  %d  %1.1f  %1.1f  %d  %d\n", file, 1, station, stat1, stat2, 0.0, 0.0, 0, 0); }
      else {
	station *= 10;
	station -= 5;
	fprintf (out, "%d  %d  %6.0f  %d  %d  %1.1f  %1.1f  %d  %d 0 0 0 0 %2.1f\n", file, 1, station, stat1, stat2, 0.0, 0.0, 0, 0, 30.0); }}
    count1++; }
  while (!feof(in));
  fclose(in);
  fclose(out);
  exit (0); }
